/* 
   Copyright (C) 2004, Bastien Nocera <hadess@hadess.net>

   The Gnome Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   The Gnome Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with the Gnome Library; see the file COPYING.LIB.  If not,
   write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.

   Author: Bastien Nocera <hadess@hadess.net>
   Adapted by Duffman 2007
 */

#ifdef WITH_DBUS
#include <glib.h>
#include <glib-object.h>

#define XDTVGNOME_TYPE_SCRSAVER		(xdtvgnome_scrsaver_get_type ())
#define XDTVGNOME_SCRSAVER(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), XDTVGNOME_TYPE_SCRSAVER, XdTVGnomeScrsaver))
#define XDTVGNOME_SCRSAVER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), XDTVGNOME_TYPE_SCRSAVER, XdTVGnomeScrsaverClass))
#define XDTVGNOME_IS_SCRSAVER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), XDTVGNOME_TYPE_SCRSAVER))
#define XDTVGNOME_IS_SCRSAVER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), XDTVGNOMETYPE_SCRSAVER))


typedef struct XdTVGnomeScrsaver XdTVGnomeScrsaver;
typedef struct XdTVGnomeScrsaverClass XdTVGnomeScrsaverClass;
typedef struct XdTVGnomeScrsaverPrivate XdTVGnomeScrsaverPrivate;

struct XdTVGnomeScrsaver {
	GObject parent;
	XdTVGnomeScrsaverPrivate *priv;
};

struct XdTVGnomeScrsaverClass {
	GObjectClass parent_class; 
};

GType xdtvgnome_scrsaver_get_type		(void);
XdTVGnomeScrsaver *xdtvgnome_scrsaver_new	(void);
void xdtvgnome_scrsaver_enable		(XdTVGnomeScrsaver *scr);
void xdtvgnome_scrsaver_disable		(XdTVGnomeScrsaver *scr);

#endif /* WITH_DBUS */
